Privacy Browser - Bug #139

Refresh on restart causes pending changes to be lost.
06/02/2017 09:55 PM - Soren Stoutner
Description

For example, sorting the list at https://en.wikipedia.org/wiki/List_of countries by tax_revenue_to_GDP_ratio is lost on restart.

History

#1 - 06/02/2017 09:56 PM - Soren Stoutner
- Subject changed from Refresh on reload causes pending changes to be lost. to Refresh on restart causes pending changes to be lost.

- Description updated

#2 - 06/02/2017 10:10 PM - Soren Stoutner

- Status changed from New to Closed

Fixed in commit https://git.stoutner.com/?p=PrivacyBrowser.git;a=commitdiff;h=1f{d6e17736c7e6a410672ce8669241bcf4c4a350.

#3 - 06/19/2017 01:41 PM - Soren Stoutner

On LineageOS, this causes intents to not load if Privacy Browser is already running. They have likely done something to change the behavior of
“onRestart’ in relation to the processing of intents.

#4 - 07/04/2017 10:58 PM - Soren Stoutner

Actually, the LineageOS bug is not related to this problem, but rather to a domain setting user agent that is different than the current user agent.

https://redmine.stoutner.com/issues/160

#5 - 02/23/2018 12:37 PM - Soren Stoutner

- Priority changed from 3 to Next Release
